org.apache.xmlgraphics.image.rendered

## Class Any2LsRGBRed

- java.lang.Object
- - org.apache.xmlgraphics.image.rendered.AbstractRed
  - - org.apache.xmlgraphics.image.rendered.Any2LsRGBRed

- All Implemented Interfaces:
    java.awt.image.RenderedImage, CachableRed

      public class Any2LsRGBRed
      extends AbstractRed

  This function will tranform an image from any colorspace into a luminance image. The alpha channel if any will be copied to the new image.
  Version:
    $Id$ Originally authored by Thomas DeWeese.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed

      `bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Any2LsRGBRed(CachableRed src)` Construct a luminace image from src.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.WritableRaster` | `copyData(java.awt.image.WritableRaster wr)`
    `protected static java.awt.image.ColorModel` | `fixColorModel(CachableRed src)` This function 'fixes' the source's color model.
    `protected static java.awt.image.SampleModel` | `fixSampleModel(CachableRed src)` This function 'fixes' the source's sample model.
    `static double` | `sRGBToLsRGB(double value)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.rendered.AbstractRed

      `copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Any2LsRGBRed

          public Any2LsRGBRed(CachableRed src)

      Construct a luminace image from src.
      Parameters:
        `src` - The image to convert to a luminance image

  - ### Method Detail

    - #### sRGBToLsRGB

          public static final double sRGBToLsRGB(double value)

    - #### copyData

          public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

    - #### fixColorModel

          protected static java.awt.image.ColorModel fixColorModel(CachableRed src)

      This function 'fixes' the source's color model. Right now it just selects if it should have one or two bands based on if the source had an alpha channel.

    - #### fixSampleModel

          protected static java.awt.image.SampleModel fixSampleModel(CachableRed src)

      This function 'fixes' the source's sample model. Right now it just selects if it should have 3 or 4 bands based on if the source had an alpha channel.

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.